import { ToolbarActionToggle } from '../../toolbar';
import { Book } from './book';
import { LibraryPlugin } from './library-plugin';
export declare class LibraryToolbarItem extends ToolbarActionToggle {
    protected persist: boolean;
    get libraryPlugin(): LibraryPlugin;
    get bookManager(): import('./book-manager').BookManager | undefined;
    get enabled(): boolean;
    init(): void;
    openPersist(): void;
    open(): void;
    close(): void;
    protected item(book: Book): Promise<HTMLButtonElement>;
}
